#!/bin/ksh
# Check the instance notify logs:
# Simple read-only command line utility with minimal error checking.
# Alex,  April 2009 
# Sustainable Softwre Ltd. http://www.sustainablesoftware.net

set -u
typeset -i RC=-1
DBNAME=$1
F_SETUP_DB2_ENVIRONMENT $INSTHOME $USER $DBNAME +x
F_CONNECT $DBNAME +x
clear

db2 -x "select 'Current notify level is ',value \
        from   sysibmadm.dbmcfg                 \
        where  name = 'notifylevel'"
RC=$? ; (( RC > 0 )) && exit $RC

db2 -v "select substr(component,1,18) component, msgnum, msgtype, msgseverity, count(*) as count,\
        date(min(timestamp)) as from, time(min(timestamp)) as at,\
        date(max(timestamp)) as to, time(max(timestamp)) as at\
        from   sysibmadm.pdlogmsgs_last24hours \
        where  msgseverity in ('C','E','W') \
        group  by component,msgnum,msgtype,msgseverity \
        order  by msgseverity desc"
RC=$? ; (( RC > 1 )) && exit $RC

F_TERMINATE +x
print "\n Some common warning messages: add your own."
print "\t 5500/5502\t... lock escalation"
print "\t 5530     \t... commit of not logged initially (NLI)"
print "\t 5570     \t... failed access to unavailable object (probably NLI)" 
print "\t 5571     \t... object marked unavailable (probably NLI)" 
