-- Drop instance owner's REORGCHK work tables, if they exist (left over from precious run):
-- We recreate them at each run because these tables are materialisations of calls to procedures sysproc.reorgchk_tb_stats and sysproc.reorgchk_ix_stats.
-- The definitions of the return data from these procedures can and do change between and within DB2 versions and releases.
set current schema current user ;

create or replace procedure create_reorgchk_tables ()
specific create_reorgchk_tables
modifies sql data
deterministic
no external action
language sql

begin atomic
declare v_count     smallint default 0 ;--

set  v_count = (select count(*) from syscat.tables where tabschema = current user and tabname = 'REORGCHK_TB' and type = 'T') ;--
if   v_count = 1 then
     drop table reorgchk_tb ;--
end if ;-- 
set  v_count = (select count(*) from syscat.tables where tabschema = current user and tabname = 'REORGCHK_IX' and type = 'T') ;--
if   v_count = 1 then
     drop table reorgchk_ix ;--
end if ;-- 

end ; 

-- we have to commit in order to execute the procedure;
-- generally we should not do this mid-stream, but in this case the create or replace procedure is the only statement to commit and is repeatable.
commit ;
call create_reorgchk_tables ();
