with TABLIST	(fullname,seqno) as                       		       
            	(select rtrim(tabschema)||'.'||tabname,               
                	    rownumber() over (order by tabschema||tabname) 
             	from   	syscat.tables                                 
             	where  	status = 'C'
			 	and    	type in ('A','S','T')
			 	and		tabschema not like 'SYS%'),                   
     SERIAL_LIST(s_fullname,s_seqno) as                   
              	(select varchar(rtrim(fullname),32416),            
                      	seqno                                     
               	from    tablist                                  
               	where   seqno = 1                               
                        UNION ALL                              
               	select  varchar(rtrim(s_fullname||','||fullname),32416),             
                      	seqno                                                       
               	from    tablist t, serial_list s                                   
                where   s.s_seqno +1 = t.seqno )                                  
select rtrim('set integrity for '|| s_fullname||' OFF CASCADE IMMEDIATE TO ALL TABLES;')  
from   ( select s_fullname,                                                              
                s_seqno,                                                                
                rownumber() over (order by s_seqno desc) as rownum					
         from   serial_list) as mandatory_but_unreferenced_correlation_token       
                where  rownum = 1
;
-- The maximum cast for a VARCHAR is 32672. However using that maximum value results in 
-- SQL1585N  A system temporary table space with sufficient page size does not exist
-- even though a 32k tempspace is available (DB2 V9.7 FP5).
-- Have opted for 32672 - 128 - 128 (maximum length for tabschema and tabname columns in syscat.tables).
