-- Generate REFRESH TABLE statements for any MQT (type = 'S') 
--          which is refresh deferred (refresh = 'D') and
--          which is NOT user-maintained (test on substr(property,1,1))

select 	'refresh table ',rtrim(tabschema)||'.'||rtrim(tabname)||';'
from	syscat.tables
where	type = 'S'
and		refresh = 'D'
and		substr(property,1,1) <> 'Y'
order by coalesce(refresh_time,'0001-01-01-00.00.00')
for fetch only
; 
